Bug 490629 - Please create updates for PPL 0.10 for Fedora 9/10
Please create updates for PPL 0.10 for Fedora 9/10
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ppl (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Roberto Bagnara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 08:10 EDT by Alan Dunn
Modified: 2009-05-18 21:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-16 15:24:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Dunn 2009-03-17 08:10:11 EDT
Description of problem:
PPL 0.10 built for Fedora 9/10 but not available as update. (Was this intentional?) Backport of any extra fixes in rawhide also appreciated.

I would like to package APRON (http://apron.cri.ensmp.fr/library/, in order to eventually package Frama-C), but APRON currently requires patches to its PPL interface that seem to match things that changed from PPL 0.9 to PPL 0.10. (However, it seems further changes to APRON's PPL interface to use PPL 0.10 are required, any help is welcome.)
Comment 1 Roberto Bagnara 2009-03-17 09:20:52 EDT
Please see the discussion in https://bugzilla.redhat.com/show_bug.cgi?id=463742
If there is an agreement to push PPL 0.10 in any Fedora version I can do it immediately: all what is necessary is in place.
Comment 2 Alan Dunn 2009-03-25 06:04:24 EDT
(In reply to comment #1)
> Please see the discussion in https://bugzilla.redhat.com/show_bug.cgi?id=463742
> If there is an agreement to push PPL 0.10 in any Fedora version I can do it
> immediately: all what is necessary is in place.  

Didn't see that bug originally, oops. In retrospect I'm not sure if that was a cue for me to ask fedora-devel-list. I am still certainly interested in this being done. If you run the same command as suggested in that bug - 

repoquery --whatrequires libppl.so.6 libppl_c.so.0

you find that ppl still appears to be the only package which depends on these. Thus it still seems safe to upgrade. If there's anything else you would have me to do help get this upgraded, let me know - I'm still definitely interested in having it. (I would like to not force people to upgrade to use the tool I want to package that depends on ppl.)
Comment 3 Roberto Bagnara 2009-03-25 13:59:00 EDT
I think you could state on the other bug report that there is request for PPL 0.10 in Fedora 9 and 10.  As I said, if this is approved, it will be a matter of minutes for me to do what is required.

Alternatively, you can download the RPMS from the PPL web site:

  http://www.cs.unipr.it/ppl/Download/ftp/releases/0.10/fedora/
Comment 4 Mamoru TASAKA 2009-03-25 15:50:33 EDT
If you want to update ppl to 0.10 on F-10/9, would you ask
on fedora-devel-list first? (with noticing that
- This introduces soname bump
- Currently only subpackages of ppl require the libraries )
Comment 5 Mamoru TASAKA 2009-03-29 12:00:39 EDT
Well, it seems that no one complains, so I assume we can go.
Comment 6 Alan Dunn 2009-03-30 14:09:58 EDT
For the record, the net result of the fedora-devel-list conversation was:

Alan Dunn wrote:
> I would like to use PPL 0.10 in packages for F9 and (more importantly)
> F10, and have been directed to ask whether anyone else minds this
> change. It is currently only in rawhide. It does require an soname
> bump (libppl.so.6 -> libppl.so.7), however, it appears that the only
> packages that rely on this are the subpackages of the package itself.

In that case (and Alex Lancaster's repoquery confirmed it) there's no
problem whatsoever with just upgrading it.

> Upstream has merely to submit the change as an update (and would also
> like to do so: https://bugzilla.redhat.com/show_bug.cgi?id=463742).

Tell them to go ahead.
Comment 7 Fedora Update System 2009-04-14 03:57:21 EDT
ppl-0.10.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ppl-0.10.1-1.fc10
Comment 8 Fedora Update System 2009-04-14 05:22:10 EDT
ppl-0.10.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ppl-0.10.1-1.fc9
Comment 9 Fedora Update System 2009-04-18 08:53:47 EDT
ppl-0.10.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ppl-0.10.2-2.fc11
Comment 10 Fedora Update System 2009-04-18 08:54:17 EDT
ppl-0.10.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ppl-0.10.2-1.fc10
Comment 11 Fedora Update System 2009-04-18 08:55:17 EDT
ppl-0.10.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ppl-0.10.2-1.fc9
Comment 12 Fedora Update System 2009-04-27 17:31:19 EDT
ppl-0.10.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-04-27 17:38:50 EDT
ppl-0.10.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-18 21:59:10 EDT
ppl-0.10.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.